<!DOCTYPE html">
<html>
	<head>
	<meta charset="utf-8">
	<title>jQuery Validation</title>	
	<meta name="viewport" content="width=device-width, initial-scale=1.O">	
	<script src="https://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.17.0/jquery.validate.js"></script>
	<link href="https://fonts.googleapis.com/css?family=Kalam|Roboto+Condensed:300,400,700" rel="stylesheet">
    <link rel="stylesheet" href="css/style.css">
	</head>
	
	<body>
			<!--KONTEJNER-->
			<div class="container">
				
				<!--KONTAKT-->
					
					<div class="posalji-poruku">
						<form id="myform">
							<p>Ime</p>
							<input type="text" name="firstname" class="kontakt-forma-polje">
							<p>Prezime</p>
							<input type="text" name="lastname" class="kontakt-forma-polje">
							<p>E mail</p>
							<input type="email" name="email" class="kontakt-forma-polje">
							<p>Opis posla</p>
							<select name="jobtype" class="kontakt-forma-polje">
								<option value=""></option>
								<option value="frontend">FrontEnd Developer</option>
								<option value="backend">BackEnd Developer</option>
							</select>
							<p>Plata</p>
							<input type="number" name="salary" class="kontakt-forma-polje__number">
							<p>Broj godina</p>
							<input type="number" name="age" class="kontakt-forma-polje__number">
							<p>Tekst poruke</p>
							<textarea id="field" onkeyup="countChar(this)" name="textarea" class="kontakt-forma-polje__textarea"></textarea>
							<div class="brojac" id="brojac" name="textarea"></div>
							<button type="submit">Pošalji</button>
						</form>
					</div>
					
					
				<!--KRAJ KONTAKTA-->
			
			</div>
			<!--KRAJ KONTEJNERA-->
	<script>

    $("#myform").validate({
        rules: {
            firstname: {
                required: true,
                minlength: 5,
                maxlength: 10
            },
            lastname: {
                required: true,
                minlength: 5,
                maxlength: 10
            },
            email: "required email",
            jobtype: {
                required: true,
            },
            salary: {
                required: true,
                max: 5000,
                min: 250
            },
            age: {
                required: true,
                max: 99,
                min: 18
            }
            },
        messages: {
            firstname: {
                required: "<span> Unesite Vaše ime!</span>",
                minlength: jQuery.validator.format("<span>Ime mora sa ima najmanje {0} karaktera!</span>"),
                maxlength: jQuery.validator.format("<span>Ime može da ima najviše {0} karaktera!</span>")
            },
            lastname: {
                required: "<span> Unesite Vaše prezime!</span>",
                minlength: jQuery.validator.format("<span>Prezime mora sa ima najmanje {0} karaktera!</span>"),
                maxlength: jQuery.validator.format("<span>Prezime može da ima najviše {0} karaktera!</span>")
            },
            email: {
                required: "<span> Unesite Vašu email adresu!</span>",
                email: "<span> Email mora biti u ovom formatu : name@domain.com</span>"
            },
            jobtype: {
                required: "<span> Izaberite opis posla!</span>"
            },
            salary: {
                required: "<span> Unesite visinu plate!",
                max: jQuery.validator.format("<span> Maksimalni iznos plate može biti $ {0} !</span>"),
                min: jQuery.validator.format("<span> Minimalni iznos plate može biti $ {0}$ !</span>")
            },
            age: {
                required: "<span> Unesite broj godina!</span>",
                max: jQuery.validator.format("<span> Maksimalan broj godina je {0}!</span>"),
                min: jQuery.validator.format("<span> Minimalni broj godina je {0}!</span>")
            },
        }
    });

    function countChar(character) {
    var len = character.value.length;
        if (len >= 250) 
        {
            character.value = character.value.substring(0, 250);
        } else 
        {
            $('#brojac').text( 250 - len + ' karaktera je preostalo' );
        }
    };
</script>	
	</body>
</html>